Crazy Eddies GUI System: CEGUI::Scheme Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Friends
CEGUI::Scheme Class Reference

A class that groups a set of GUI elements and initialises the system to access those elements. More...

Collaboration diagram for CEGUI::Scheme:
[legend]

List of all members.

## Classes
struct | AliasMapping
struct | FalagardMapping
struct | LoadableUIElement
struct | UIElementFactory
struct | UIModule
struct | WRModule
## Public Member Functions
void | loadResources (void)
| Loads all resources for this scheme.
void | unloadResources (void)
| Unloads all resources for this scheme. This should be used very carefully.
bool | resourcesLoaded (void) const
| Return whether the resources for this Scheme are all loaded.
const String & | getName (void) const
| Return the name of this Scheme.
| ~Scheme (void)
| Destroys a Scheme object.
## Static Public Member Functions
static const String & | getDefaultResourceGroup ()
| Returns the default resource group currently set for Schemes.
static void | setDefaultResourceGroup (const String &resourceGroup)
| Sets the default resource group to be used when loading scheme xml data.
## Friends
class | Scheme_xmlHandler

## Detailed Description

A class that groups a set of GUI elements and initialises the system to access those elements.

A GUI Scheme is a high-level construct that loads and initialises various lower-level objects and registers them within the system for usage. So, for example, a Scheme might create some Imageset objects, some Font objects, and register a collection of WindowFactory objects within the system which would then be in a state to serve those elements to client code.

## Constructor & Destructor Documentation

CEGUI::Scheme::~Scheme | ( | void |  | ) |

Destroys a Scheme object.

Returns:
  Nothing

## Member Function Documentation

static const String& CEGUI::Scheme::getDefaultResourceGroup | ( |  | ) | `[inline, static]`

Returns the default resource group currently set for Schemes.

Returns:
  String describing the default resource group identifier that will be used when loading Scheme xml file data.

const String& CEGUI::Scheme::getName | ( | void |  | ) | const`[inline]`

Return the name of this Scheme.

Returns:
  String object containing the name of this Scheme.

void CEGUI::Scheme::loadResources | ( | void |  | ) |

Loads all resources for this scheme.

Returns:
  Nothing.

bool CEGUI::Scheme::resourcesLoaded | ( | void |  | ) | const

Return whether the resources for this Scheme are all loaded.

Returns:
  true if all resources for the Scheme are loaded and available, or false of one or more resource is not currently loaded.

static void CEGUI::Scheme::setDefaultResourceGroup | ( | const String & | resourceGroup | ) | `[inline, static]`

Sets the default resource group to be used when loading scheme xml data.

Parameters:

  resourceGroup | String describing the default resource group identifier to be used.

Returns:
  Nothing.

void CEGUI::Scheme::unloadResources | ( | void |  | ) |

Unloads all resources for this scheme. This should be used very carefully.

Returns:
  Nothing.